%define name bzip
%define version 0.21
%define release 3
%define mansections 1

Summary: Efficient compression program
Name: %{name}
Version: %{version}
Release: %{release}
Source: can'tremember/%{name}-%{version}.tar.gz
Copyright: GPL, but see below for restrictions
Group: Utilities/Archiving
Prefix: /usr
Buildroot: /tmp/%{name}-%{version}-root
Requires: %{name}-man

%description
Bzip is a compression program which uses some wild new `block sorting
algorithm' with `arithmetic encoding'.  The fundamental point is that
it makes your files smaller than gzip does, sometimes by up to 30%.
The other fundamental point is that it may have algorithm patents
against it, so stick to gzip for public releases and commercial use
(especially in the States.. some of us live in less repressive
countries so we don't need to worry so much.)

If you want to do something about the problem of Algorithm patents,
contact the League for Programming Freedom to see what you can do to
help.  http://www.lpf.org/

%package man
Summary: man pages for %{name}
Group: Development/Libraries

%description man
This package includes the [uncompressed] man pages for %{name}.

%package man-gz
Summary: man pages for %{name}
Group: Development/Libraries
Provides: %{name}-man

%description man-gz
This package includes the compressed man pages for %{name}.
Note:  helptool obviously cannot search in compressed man pages [but 
       curiously enough, it can search in compressed info pages !?].  
       Use the uncompressed ones, if this is not what you want.
       The glimpse-rman-tkman combo e.g. can search compressed man pages.



%changelog
* Thu Mar 19 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>

  - BuildRoot
  - ordinary user can build
  - diverted [un]compressed man pages

* Sun Jan  5 1997 Michael De La Rue <miked@ed.ac.uk>

  - original packaging of bzip-0.21


%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man%{mansections}
install -m 755 bzip ${RPM_BUILD_ROOT}/usr/bin
install -m 755 bzip.1 ${RPM_BUILD_ROOT}/usr/man/man1
ln -s bzip ${RPM_BUILD_ROOT}/usr/bin/bunzip

# compress the man pages:
for  i in  $(echo ${RPM_BUILD_ROOT}/usr/man/man?)
  do
    mkdir  $i.gz
    cp -ad $i/* $i.gz/
    gzip $i.gz/*
    cp -adu $i.gz/* $i/
  done


%clean
rm -rf $RPM_BUILD_ROOT


%postun
# remove the man sub package:
  # we have to sleep a bit to give the main rpm task time to finish;
  # otherwise we would run into locking problems with the the rpm database
(sleep 5; rpm -q %{name}-man    > /dev/null 2>&1 && rpm -e %{name}-man) &
(sleep 5; rpm -q %{name}-man-gz > /dev/null 2>&1 && rpm -e %{name}-man-gz) &


%files
%attr(-,root,root) %doc ALGORITHMS LICENSE README
%attr(755,root,root) /usr/bin/*


%files man
%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}]

%files man-gz
%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}].gz


